IRPCIndexingDataSource.GetNextFilesForFIX

View as Markdown

Server integration API / specialized internal: not for applications write session

Gets next object files for file data indexing.

ServiceIndexing data source MFiles.IRPCIndexingDataSource
gRPC method/MFiles.IRPCIndexingDataSource/GetNextFilesForFIX
HTTP (mf-http-grpc)POST /grpc/v1/get-next-files-for-fix
RequestGetNextFilesForFIXRequest
ResponseGetNextFilesForFIXResponse
Book and levelServer integration API, specialized
Kindwrite
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

For M-Files components only. Search indexers call it to fetch the next batch of files for a file data index. Applications should not call it.

Request: GetNextFilesForFIXRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
indexing_requestIndexingRequestGeneral information about the request.
indexing_request.options_obsoleteuint32Control flags for the request.
indexing_request.optionsINDEXINGREQUESTFLAGSControl flags for the request.
indexing_request.options.allboolSpecifies all flags set; Including any future flags.
indexing_request.options.accept_modificationsboolThe indexer accepts new and modified objects in the request.
indexing_request.options.accept_destructionsboolThe indexer accepts destructions of objects in the request.
indexing_request.options.accept_acl_modificationsboolThe indexer accepts ACL modifications of objects in the request.
indexing_request.index_nameIndexNameIdentifies the index.
indexing_request.index_name.configuration_namestringThe name of the index configuration.
indexing_request.index_name.repository_connectionstringIdentifies the external repository connection.
indexing_request.index_name.configuration_typeIndexConfigurationTypeThe index configuration type (e.g., Shared versus Legacy).Values: INDEX_CONFIGURATION_TYPE_UNKNOWN (0), INDEX_CONFIGURATION_TYPE_LEGACY (1), INDEX_CONFIGURATION_TYPE_SHARED (2), INDEX_CONFIGURATION_TYPE_ANY (3).
indexing_request.auxiliary_indexer_idstringIf not null, identifies auxiliary indexer that consumes the data.
indexing_request.partitionIndexerPartitionIf set, specifies how to partition the candidate objects for this caller.
indexing_request.partition.ruleIndexerPartitioningRuleSpecifies how the indexing is partitioned.
indexing_request.partition.iduint32Zero-based identifier of the partition.
indexing_request.last_indexed_timestampLogicalTimestampThe last indexed logical timestamp. Ignored if its type is LOGICAL_TIMESTAMP_TYPE_IGNORED.
indexing_request.last_indexed_timestamp.typeLogicalTimestampTypeLogical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4).
indexing_request.last_indexed_timestamp.dataLogicalTimestampUnionThe data as a union.
indexing_request.last_change_tracking_timestampLogicalTimestampChange Tracking version from last indexed logical timestamp.
indexing_request.last_change_tracking_timestamp.typeLogicalTimestampTypeLogical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4).
indexing_request.last_change_tracking_timestamp.dataLogicalTimestampUnionThe data as a union.
indexing_request.indexer_locationIndexerLocationDefines if indexer making the request is of type internal (legacy) or external.Values: INDEXER_LOCATION_UNINITIALIZED (0), INDEXER_LOCATION_LEGACY (1), INDEXER_LOCATION_EXTERNAL (2).
countuint32The number of files requested. Ignored when file_ver_array is set.
include_full_set_of_file_idsboolIf true, the received FileInfoForFIX data will include the full set of file IDs that co-exist (on a particular object version) with the file to be indexed.
file_ver_arrayFileVerArrayIf set, explicitly specifies the file versions to be retrieved.
file_ver_array.value[]repeated FileVerItems.
file_ver_array.value[].file_idFileIDThe file.
file_ver_array.value[].typeFileVerTypeFILE_VER_TYPE_SPECIFIC for a file version number.Values: FILE_VER_TYPE_UNINITIALIZED (0), FILE_VER_TYPE_LATEST (1), FILE_VER_TYPE_ANY (2), FILE_VER_TYPE_SPECIFIC (3).
file_ver_array.value[].internal_versionint32The file version number.
file_ver_array.value[].external_repository_versionstringUsed only for files in external repositories. Leave empty.
file_ver_array.value[].external_repository_sort_keyint64Used only for files in external repositories. Leave 0.

Response: GetNextFilesForFIXResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
files[]repeated FileInfoForFIXObject files.
files[].obj_file_verObjFileVerFile version.
files[].obj_file_ver.obj_idObjIDThe object that owns the file.
files[].obj_file_ver.file_verFileVerThe specific file version, as in File.file_ver.
files[].is_destroyedboolTrue if the file has been destroyed and is no longer available. If true then only the objfilever member is valid.
files[].data_file_versionint32Data file version if the file is an internal file.
files[].sizeint64The logical size of the file in bytes.
files[].extensionstringThe file extension, not including the dot (e.g. "doc"). This unencoded extension may contain characters that are not allowed in file extensions in file systems.
files[].relevance_scorefloatRelevance score of the object.
files[].file_ids[]repeated FileIDAll file IDs of the object's LCI version.
files[].file_ids[].typeFileIDTypeFILE_IDTYPE_SPECIFIC for one file.Values: FILE_IDTYPE_UNINITIALIZED (0), FILE_IDTYPE_ALL (1), FILE_IDTYPE_ANY (2), FILE_IDTYPE_SPECIFIC (3).
files[].file_ids[].internal_idint32The file ID.
files[].file_ids[].external_repository_idstringUsed only for files in external repositories. Leave empty.
files[].timestampLogicalTimestampLogical timestamp for indexing.
files[].timestamp.typeLogicalTimestampTypeLogical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4).
files[].timestamp.dataLogicalTimestampUnionThe data as a union.
files[].object_dataObjectVersionExWPIf not null contains the basic object version information. The search results are returned from the server using this information with external content repositories.
files[].object_data.object_versionObjectVersionExObject info.
files[].object_data.properties[]repeated PropertyValueProperty values, or an empty array.
files[].object_data.aclAccessControlListIf set, ACL.
files[].object_data.current_user_permissionsObjectPermissionsForClientIf set, permissions of the object version.
files[].last_modified_for_indexinggoogle.protobuf.TimestampThe last modified timestamp for indexing.
files[].repository_pathFolderArrayIf not null contains the array of folders describing the repository path to the object version location. The search results are returned from the server using this information with external content repositories.
files[].repository_path.value[]repeated FolderArray of Folder structures.
last_seen_version_for_fixLogicalTimestampLast seen logical timestamp within the returned files or the timestamp after trying to fetch the batch even if no files were returned (relevant for indexing external repositories).
last_seen_version_for_fix.typeLogicalTimestampTypeLogical timestamp type.Values: LOGICAL_TIMESTAMP_TYPE_UNINITIALIZED (0), LOGICAL_TIMESTAMP_TYPE_IGNORED (1), LOGICAL_TIMESTAMP_TYPE_INTEGER (2), LOGICAL_TIMESTAMP_TYPE_STRING (3), LOGICAL_TIMESTAMP_TYPE_INTEGER_AND_STRING (4).
last_seen_version_for_fix.dataLogicalTimestampUnionThe data as a union.
last_seen_version_for_fix.data.integerLogicalTimestampInteger (oneof data)Logical timestamp as an int64 vector.
last_seen_version_for_fix.data.stringLogicalTimestampString (oneof data)String.
last_seen_version_for_fix.data.integer_and_stringLogicalTimestampIntegerAndString (oneof data)Integer and string.